package com.hai.service.impl;

import com.hai.dao.HighGasOrderMapper;
import com.hai.entity.HighGasOrder;
import com.hai.entity.HighGasOrderExample;
import com.hai.service.HighGasOrderService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @className: HighGasOrderServiceImpl
 * @author: HuRui
 * @date: 2022/9/6
 **/
@Service("gasOrderService")
public class HighGasOrderServiceImpl implements HighGasOrderService {

    @Resource
    private HighGasOrderMapper gasOrderMapper;

    @Override
    public void addGasOrder(HighGasOrder gasOrder) {
        gasOrder.setCreateTime(new Date());
        gasOrderMapper.insert(gasOrder);
    }

    @Override
    public void updateGasOrder(HighGasOrder gasOrder) {
        gasOrderMapper.updateByPrimaryKeySelective(gasOrder);
    }

    @Override
    public HighGasOrder getDetailByChildOrderNo(String childOrderNo) {
        HighGasOrderExample example = new HighGasOrderExample();
        example.createCriteria().andChildOrderNoEqualTo(childOrderNo);
        List<HighGasOrder> list = gasOrderMapper.selectByExample(example);
        if (list.size() > 0) {
            return list.get(0);
        }
        return null;
    }
}
